
local old_init = WeaponTweakData.init

function WeaponTweakData:init(tweak_data)
    old_init(self, tweak_data)

-- AR --
self.m16.CLIP_AMMO_MAX = 60
self.m16.AMMO_MAX = 240
self.m16.stats.damage = 52
self.m16.fire_mode_data.fire_rate = 0.05
self.m16.FIRE_MODE = "auto"
self.m16.timers.reload_exit_not_empty = 1.0
self.m16.timers.reload_empty = 1.0
self.m16.AMMO_PICKUP = {2.50, 4.75}

end